package com.kingdee.eas.custom.compensation.basedata;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractPositionSalaryStandardEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractPositionSalaryStandardEntryInfo()
    {
        this("id");
    }
    protected AbstractPositionSalaryStandardEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's null property 
     */
    public com.kingdee.eas.custom.compensation.basedata.PositionSalaryStandardInfo getParent()
    {
        return (com.kingdee.eas.custom.compensation.basedata.PositionSalaryStandardInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.compensation.basedata.PositionSalaryStandardInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 分录 's 薪酬项目 property 
     */
    public com.kingdee.shr.compensation.CmpItemInfo getCmpItem()
    {
        return (com.kingdee.shr.compensation.CmpItemInfo)get("cmpItem");
    }
    public void setCmpItem(com.kingdee.shr.compensation.CmpItemInfo item)
    {
        put("cmpItem", item);
    }
    /**
     * Object:分录's 金额property 
     */
    public java.math.BigDecimal getMoney()
    {
        return getBigDecimal("money");
    }
    public void setMoney(java.math.BigDecimal item)
    {
        setBigDecimal("money", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("E580CDDE");
    }
}